about summary refs log tree commit diff stats
path: root/core/conf/rc.d/distccd
diff options
context:
space:
mode:
authorSilvino <silvino@bk.ru>2019-06-11 00:27:06 +0100
committerSilvino <silvino@bk.ru>2019-06-11 00:27:06 +0100
commit5adacc390c152b1540372d653712cb41fcb76b7b (patch)
tree6c7fa82642984b059889796b66dc204dadc1b933 /core/conf/rc.d/distccd
parenta55b4d39a97361fd4f04c6547835204b9e5371ac (diff)
downloaddoc-5adacc390c152b1540372d653712cb41fcb76b7b.tar.gz
ports distcc and ccache revision
Diffstat (limited to 'core/conf/rc.d/distccd')
-rwxr-xr-xcore/conf/rc.d/distccd33
1 files changed, 33 insertions, 0 deletions
diff --git a/core/conf/rc.d/distccd b/core/conf/rc.d/distccd
new file mode 100755
index 0000000..65a166d
--- /dev/null
+++ b/core/conf/rc.d/distccd
@@ -0,0 +1,33 @@
+#!/usr/bin/env bash
+#
+# /etc/rc.d/distccd: start/stop distcc daemon
+#
+
+. /etc/distcc.conf
+if [ -z "$DISTCC_ALLOW" ]; then 
+    echo "Please define a range of IPs allowed to connect to this distccd"
+    echo "host in DISTCC_ALLOW in /etc/rc.conf. More detailed information"
+    echo "can be found in the distcc's README package."
+    exit 1
+fi
+
+DISTCC_USER="${DISTCC_USER:=nobody}"
+DISTCC_LOG_LEVEL="${DISTCC_LOG_LEVEL:=notice}"
+
+case $1 in
+start)
+	/usr/sbin/distccd --daemon --user "$DISTCC_USER" --allow "$DISTCC_ALLOW" --log-level "$DISTCC_LOG_LEVEL"
+	;;
+stop)
+	killall -q /usr/sbin/distccd
+	;;
+restart)
+	$0 stop
+	$0 start
+	;;
+*)
+	echo "usage: $0 [start|stop|restart]"
+	;;
+esac
+
+# End of file
:24:51 +0000 committer James Booth <boothj5@gmail.com> 2014-02-01 16:24:51 +0000 Fixed cmd_bookmark message when not connected' href='/danisanti/profani-tty/commit/tests/test_cmd_bookmark.c?id=614ae232ef59dc221290f75d3ae33d169e1afaf0'>614ae232 ^
614ae232 ^

3487100c ^
614ae232 ^
































652e99fd ^

652e99fd ^



3487100c ^


652e99fd ^






3d7d070b ^







3487100c ^















3d7d070b ^

3d7d070b ^






























3487100c ^


3d7d070b ^
3487100c ^


3d7d070b ^






af51fa3c ^
a564b024 ^

a564b024 ^



3487100c ^

a564b024 ^








af51fa3c ^

af51fa3c ^



3487100c ^







af51fa3c ^
ebafc192 ^
af51fa3c ^







3487100c ^
af51fa3c ^

d2662a6f ^
af51fa3c ^
3487100c ^







af51fa3c ^
d2662a6f ^
af51fa3c ^


38d8d8d9 ^





38d8d8d9 ^

d2662a6f ^
38d8d8d9 ^
3487100c ^







38d8d8d9 ^
d2662a6f ^
38d8d8d9 ^


af51fa3c ^





af51fa3c ^


d2662a6f ^
af51fa3c ^
3487100c ^







af51fa3c ^
d2662a6f ^
af51fa3c ^




af51fa3c ^
a8ecbccc ^


a8ecbccc ^



3487100c ^




a8ecbccc ^
a8ecbccc ^







9d957e5f ^

9d957e5f ^



3487100c ^




9d957e5f ^
95c48a0f ^





a564b024 ^
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297